# alch\_options\_id

Filter `alch_options_id` can be used to change the default configuration option name, which is `alchemy_options`.

## Example

```php
//somewhere in functions.php

function change_default_alchemy_options_option() {
    return 'my-new-options-id';
}

add_filter( 'alch_options_id', 'change_default_alchemy_options_option' );
```

Thus, the Alchemy Options will get the new ID when it calls the [`alch_options_id` function](/v0.9/functions/alch_options_id.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alchemy-options.com/v0.9/filters/alch_options_id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
